Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.util
Class WebWarning

    java.lang.Object
      org.crosswire.jsword.util.WebWarning

    public class WebWarning

extends Object

Provide a configurable warning that the Internet is going to be accessed. This is important in places where Internet activity may be monitored and Christians may be persecuted.

Author:
  DM Smith [dmsmith555 at yahoo dot com]
See Also:
  `for license details.
  The copyright to this program is held by it's authors.`

Field Summary
`private static boolean` | `DEFAULT_SHOWN`
`private static WebWarning` | `instance`
`private static Logger` | `log` The log stream
`private boolean` | `shown`
`private static String` | `SHOWN_KEY`

Constructor Summary
`private` | `WebWarning()` This is a utility class, thus it's constructor is private.

Method Summary
`String` | `getShownWarningLabel()`
`String` | `getWarning()`
`static WebWarning` | `instance()` All access to WebWarning is through this single instance.
`boolean` | `isShown()`
`static boolean` | `isWarningShown()`
`void` | `setShown(boolean newShown)`
`static void` | `setWarningShown(boolean newShown)` From configuration set the state.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static WebWarning instance

### SHOWN_KEY

    private static final String SHOWN_KEY

See Also:
  Constant Field Values

### DEFAULT_SHOWN

    private static final boolean DEFAULT_SHOWN

See Also:
  Constant Field Values

### shown

    private boolean shown

### log

    private static final Logger log

  The log stream

Constructor Detail

### WebWarning

    private WebWarning()

  This is a utility class, thus it's constructor is private.

Method Detail

### instance

    public static WebWarning instance()

  All access to WebWarning is through this single instance.

  Returns:
    the singleton instance

### setShown

    public void setShown(boolean newShown)

  Parameters:
    `newShown` - Whether this WebWarning should be shown.

### isShown

    public boolean isShown()

  Returns:
    Whether this WebWarning should be shown.

### setWarningShown

    public static void setWarningShown(boolean newShown)

  From configuration set the state.

  Parameters:
    `newShown` - Whether this WebWarning should be shown.

### isWarningShown

    public static boolean isWarningShown()

  Returns:
    Whether this WebWarning should be shown.

### getWarning

    public String getWarning()

  Returns:
    a warning that the Internet is about to be accessed

### getShownWarningLabel

    public String getShownWarningLabel()

  Returns:
    indicate that the warning will be shown again

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD